#include <bits/stdc++.h>
using namespace std;
int cnt[2000007];

int main()
{
    vector <int>r;
    int n,k;
    cin>>n>>k;
    int x;
    for(int i=0;i<n;++i)
    {
        cin>>x;
        if(++cnt[x+n]==k)r.push_back(x);
    }

    cout<<r.size()<<endl;

    for(int x:r)cout<<x<<' ';
}